<?xml version="1.0" encoding="UTF-8"?>
<!--
To change this license header, choose License Headers in Project Properties.
To change this template file, choose Tools | Templates
and open the template in the editor.
-->
<!DOCTYPE html>
<html xmlns="http://www.w3.org/1999/xhtml"
      xmlns:ui="http://xmlns.jcp.org/jsf/facelets"
      xmlns:p="http://primefaces.org/ui"
      xmlns:h="http://xmlns.jcp.org/jsf/html"
      xmlns:f="http://xmlns.jcp.org/jsf/core">

    <body> 
 
        <ui:composition template="./../WEB-INF/Modelo.xhtml">


            <ui:define name="content">
                <p:fieldset legend="Pesquisa">
                    <p:panelGrid>
                        <p:row>
                            <p:column>
                                Código:
                            </p:column>
                            <p:column colspan="2">
                                <p:inputText value="#{pesquisaProfessorBean.codigo}" style="width: 40px"/>
                            </p:column>
                        </p:row>
                        <p:row>
                            <p:column>
                                Nome:
                            </p:column>
                            <p:column >
                                <p:inputText value="#{pesquisaProfessorBean.nome}" style="width: 200px"/>
                            </p:column>
                            <p:column>
                                <p:commandButton 
                                    value="Pesquisar"
                                    actionListener="#{pesquisaProfessorBean.pesquisa}"
                                    update="tabela,growl"
                                    />
                            </p:column>

                        </p:row>


                    </p:panelGrid>

                </p:fieldset>


                <p:dataTable id="tabela" var="professor" value="#{pesquisaProfessorBean.lista}">
                    <p:column headerText="Código">
                        <h:outputText value="#{professor.id}" />
                    </p:column>
                    <p:column headerText="Nome">
                        <h:outputText value="#{professor.nome}" />
                    </p:column>

                    <p:column>
                        <p:commandLink update="painelEdicao" process="@this"
                                       oncomplete="PF('dialog').show();">
                            <h:graphicImage library="img" 
                                            name="icon.png" 
                                            />
                            <f:setPropertyActionListener 
                                target="#{pesquisaProfessorBean.professorSelecionado}" 
                                value="#{professor}" />
                        </p:commandLink>
                    </p:column>


                </p:dataTable>


                <p:dialog header="Edição Professor" widgetVar="dialog"
                          modal="true" >

                    <h:form prependId="false">

                        <p:fieldset legend="Cadastro Professor">

                            <p:panelGrid  id="painelEdicao" >

                                <p:row>
                                    <p:column>
                                        <p:outputLabel value="Código:" for="codigo" />
                                    </p:column>
                                    <p:column colspan="8">
                                        <p:inputText id="codigo" value="#{pesquisaProfessorBean.professorSelecionado.id}" readonly="true" size="2" />
                                    </p:column>

                                </p:row>

                                <p:row>
                                    <p:column >
                                        <p:outputLabel value="Nome:" for="nomeForm" />
                                    </p:column>
                                    <p:column colspan="8">
                                        <p:inputText id="nomeForm" value="#{pesquisaProfessorBean.professorSelecionado.nome}"  readonly="false" />
                                    </p:column>

                                </p:row>

                                <p:row>
                                    <p:column>
                                        <p:outputLabel value="CPF:" for="cpf" />
                                    </p:column>
                                    <p:column colspan="8">
                                        <p:inputText id="cpf" value="#{pesquisaProfessorBean.professorSelecionado.cpf}" required="false" />
                                    </p:column>

                                </p:row>

                                <p:row>
                                    <p:column>
                                        <p:outputLabel value="Endereço:" for="endereco" />
                                    </p:column>
                                    <p:column>
                                        <p:inputText id="endereco" value="#{pesquisaProfessorBean.professorSelecionado.endereco}" required="false" />
                                    </p:column>

                                    <p:column>
                                        <p:outputLabel value="Nº" for="numero" />
                                    </p:column>
                                    <p:column>
                                        <p:inputText id="numero" value="#{pesquisaProfessorBean.professorSelecionado.numero}" required="false" size="2" />
                                    </p:column>
                                    <p:column>
                                        <p:outputLabel value="Cidade:" for="cidade" />
                                    </p:column>
                                    <p:column>
                                        <p:inputText id="cidade" value="#{pesquisaProfessorBean.professorSelecionado.cidade}" />
                                    </p:column>
                                    <p:column>
                                        <p:outputLabel value="UF:" for="uf" />
                                    </p:column>
                                    <p:column>
                                        <p:inputText id="uf" value="#{pesquisaProfessorBean.professorSelecionado.estado}" size="2" />
                                    </p:column>

                                </p:row>

                                <p:row>
                                    <p:column>
                                        <p:outputLabel value="Complemento:" for="complemento" />
                                    </p:column>
                                    <p:column colspan="8">
                                        <p:inputText id="complemento" value="#{pesquisaProfessorBean.professorSelecionado.complemento}" readonly="true" size="100" />
                                    </p:column>

                                </p:row>

                            </p:panelGrid>

                        </p:fieldset>

                        <p:commandButton value="Salvar" ajax="false" actionListener="#{pesquisaProfessorBean.salvar()}" update="painel" />

                    </h:form>

                </p:dialog>

            </ui:define>

        </ui:composition>

    </body>
</html>


